org.springframework.cloud.dataflow.server.db.migration.sqlserver

## Class R__Hibernate_Sequence

- java.lang.Object
- - org.flywaydb.core.api.migration.BaseJavaMigration
  - - org.springframework.cloud.dataflow.common.flyway.AbstractMigration
    - - org.springframework.cloud.dataflow.server.db.migration.sqlserver.R__Hibernate_Sequence

- All Implemented Interfaces:
    org.flywaydb.core.api.migration.JavaMigration

      public class R__Hibernate_Sequence
      extends org.springframework.cloud.dataflow.common.flyway.AbstractMigration

  Repeatable migration ensuring that `hibernate_sequence` table exists. Done for `mssql` via java and suppressing error as it doesn't support "create sequence if not exists". Also we fix wrongly create hibernate_sequence if it was created as table by replacing it with a proper sequence.
  Author:
    Janne Valkealahti

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `fixcommands`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `R__Hibernate_Sequence()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `getCommands()`
    `void` | `migrate(org.flywaydb.core.api.migration.Context context)`

    - ### Methods inherited from class org.flywaydb.core.api.migration.BaseJavaMigration

      `canExecuteInTransaction, getChecksum, getDescription, getVersion, isUndo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fixcommands

          public static final List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> fixcommands

  - ### Constructor Detail

    - #### R__Hibernate_Sequence

          public R__Hibernate_Sequence()

  - ### Method Detail

    - #### migrate

          public void migrate(org.flywaydb.core.api.migration.Context context)
                       throws Exception

      Specified by:
        `migrate` in interface `org.flywaydb.core.api.migration.JavaMigration`
      Overrides:
        `migrate` in class `org.springframework.cloud.dataflow.common.flyway.AbstractMigration`
      Throws:
        `Exception`

    - #### getCommands

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> getCommands()

      Overrides:
        `getCommands` in class `org.springframework.cloud.dataflow.common.flyway.AbstractMigration`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.